This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1019312 - ECDHE: now supported in Fedora's OpenSSL
ECDHE: now supported in Fedora's OpenSSL
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ecc
  Show dependency treegraph
 
Reported: 2013-10-15 09:09 EDT by Harald Reindl
Modified: 2014-01-03 11:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 11:55:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-10-15 09:09:18 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=319901#c108

[harry@rh:~]$ ldd /usr/lib64/libcurl.so.4.3.0 | grep /lib64/libssl.so.10
        libssl.so.10 => /lib64/libssl.so.10 (0x00007f1305a1f000)
[harry@rh:~]$ ldd /usr/bin/curl | grep /lib64/libssl.so.10
        libssl.so.10 => /lib64/libssl.so.10 (0x00007f8265016000)
Comment 1 Kamil Dudka 2013-10-15 09:50:52 EDT
curl does not use OpenSSL.  Your listing includes it as a dependency of libssh2.

What is the exact purpose of this bug?
Comment 2 Harald Reindl 2013-10-15 09:53:23 EDT
ok, thanks for feedback, so i file a RFE against libssh2
Comment 3 Harald Reindl 2013-10-15 09:56:17 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1019333

the purpose is to help triage packages which should be rebuilt against the new openssl to benefit from the now supported ECDHE ciphers
Comment 4 Fedora End Of Life 2013-12-21 09:40:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Kamil Dudka 2014-01-03 11:55:29 EST
The issue reported does not apply to Feodra curl packages, closing...

Note You need to log in before you can comment on or make changes to this bug.